package net.shadowfacts.extrahoppers.init

import net.minecraft.item.BlockItem
import net.minecraft.item.Item
import net.minecraft.util.Identifier
import net.minecraft.util.registry.Registry
import net.shadowfacts.extrahoppers.block.wood.WoodHopperBlock

object EHItems {

    val WOOD_HOPPER = BlockItem(EHBlocks.WOOD_HOPPER, Item.Settings())

    fun init() {
        register(WoodHopperBlock.ID, WOOD_HOPPER)
    }

    private fun register(id: Identifier, item: Item) {
        Registry.register(Registry.ITEM, id, item)
    }

}